mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException System.Runtime.InteropServices.ComVisible(true)

uses the default implementation, which supports reference equality.

For a list of initial property values for an instance of , see the constructor.

The exception that is thrown when there is a syntax error in XML parsing. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  "Invalid syntax."

  Initializes a new instance of the class with default properties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The line number of an XML stream is updated whenever a newline character is detected. Numbering begins with 1 for the first line.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  "Invalid syntax on line ."

  Initializes a new instance of the class with the line number where the exception was detected.

  The line number of the XML stream where the XML syntax error was detected.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The error message string.

  Initializes a new instance of the class with a specified error message.

  The error message that explains the reason for the exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The line number of an XML stream is updated whenever a newline character is detected. Numbering begins with 1 for the first line.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  "Invalid syntax on line - "

  Initializes a new instance of the class with a specified error message and the line number where the exception was detected.

  The line number of the XML stream where the XML syntax error was detected.
  The error message that explains the reason for the exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.